### Method

# GdkX11.X11Display.string_to_compound_text

#### Declaration [src]

    int
    gdk_x11_display_string_to_compound_text (
      GdkDisplay* display,
      const char* str,
      const char** encoding,
      int* format,
      guchar** ctext,
      int* length
    )

#### Description [src]

Convert a string from the encoding of the current locale into a form suitable for storing in a window property.

#### Parameters

`str` | `const char*`
| a nul-terminated string
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`encoding` | `const char**`
| location to store the encoding (to be used as the type for the property)
| Direction: out
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string
`format` | `int*`
| location to store the format of the property
| Direction: out
| Ownership of the data is transferred to the callee
`ctext` | An array of `guchar*`
| location to store newly allocated data for the property
| Direction: out
| The length of the array is in the `length` argument
| Ownership of the data is transferred to the callee
`length` | `int*`
| the length of `ctext`, in bytes
| Direction: out
| Ownership of the data is transferred to the callee

#### Return value

Returns: `int`
0 upon success, non-zero upon failure